import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class EumaIcon extends StatelessWidget {
  Widget _icon;
  Function _onTap;
  bool _visibleOval = false;

  EumaIcon(this._icon, {Function onTap, bool visibleOval}) {
    this._onTap = onTap;
    this._visibleOval = visibleOval ?? false;
  }

  @override
  Widget build(BuildContext context) {
    return IconButton(
      padding: EdgeInsets.all(0),
        alignment: Alignment.topCenter,
        icon: Stack(
          children: <Widget>[
            _icon,
            Positioned(
              top: 0,
              right: 0,
              child: _buildOval(),
            )
          ],
        ),
        onPressed: _onTap);
  }

  Widget _buildOval() {
    if (_visibleOval) {
      return Container(
        width: 7,
        height: 7,
        decoration: BoxDecoration(
            borderRadius: BorderRadius.all(
              Radius.circular(100),
            ),
            color: Colors.blue),
      );
    } else {
      return Container();
    }
  }
}
